Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Interface ItemChangeSource

    public interface ItemChangeSource

Since:
  Jul 20, 2010
Author:
  akolonitsky

Method Summary
`void` | `addItemChangeListener(ItemChangeListener listener)` Add a new `ItemChangeListener` to the set of listeners interested in being notified when `ItemChangeEvent`s occur.
`ItemChangeListener[]` | `getItemChangeListeners()` Return the set of registered `ItemChangeListener`s for this instance.
`void` | `removeItemChangeListener(ItemChangeListener listener)` Remove an existing `ItemChangeListener` (if any) from the set of listeners interested in being notified when `ItemChangeEvent`s occur.

Method Detail

### addItemChangeListener

    void addItemChangeListener(ItemChangeListener listener)

  Add a new `ItemChangeListener` to the set of listeners interested in being notified when `ItemChangeEvent`s occur.

  Parameters:
    `listener` - The `ItemChangeListener` to be added
  Throws:
    `NullPointerException` - if `listener` is `null`

### getItemChangeListeners

    ItemChangeListener[] getItemChangeListeners()

  Return the set of registered `ItemChangeListener`s for this instance. If there are no registered listeners, a zero-length array is returned.

### removeItemChangeListener

    void removeItemChangeListener(ItemChangeListener listener)

  Remove an existing `ItemChangeListener` (if any) from the set of listeners interested in being notified when `ItemChangeEvent`s occur.

  Parameters:
    `listener` - The `ItemChangeListener` to be removed
  Throws:
    `NullPointerException` - if `listener` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.